public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sys-apps/portage: portage-9999.ebuild metadata.xml portage-2.2.10.ebuild ChangeLog
@ 2014-04-06 17:00 Michal Gorny (mgorny)
  0 siblings, 0 replies; only message in thread
From: Michal Gorny (mgorny) @ 2014-04-06 17:00 UTC (permalink / raw
  To: gentoo-commits

mgorny      14/04/06 17:00:03

  Modified:             portage-9999.ebuild metadata.xml
                        portage-2.2.10.ebuild ChangeLog
  Log:
  Add support for PYTHON_TARGETS=pypy and replace USE=pypy2_0 w/ USE=pypy (since the latter is more generic).
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.95                 sys-apps/portage/portage-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-9999.ebuild?rev=1.95&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-9999.ebuild?rev=1.95&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-9999.ebuild?r1=1.94&r2=1.95

Index: portage-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-9999.ebuild,v
retrieving revision 1.94
retrieving revision 1.95
diff -u -r1.94 -r1.95
--- portage-9999.ebuild	6 Apr 2014 15:32:44 -0000	1.94
+++ portage-9999.ebuild	6 Apr 2014 17:00:03 -0000	1.95
@@ -1,10 +1,10 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-9999.ebuild,v 1.94 2014/04/06 15:32:44 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-9999.ebuild,v 1.95 2014/04/06 17:00:03 mgorny Exp $
 
 EAPI=3
 PYTHON_COMPAT=(
-	pypy2_0
+	pypy pypy2_0
 	python3_2 python3_3 python3_4
 	python2_6 python2_7
 )
@@ -15,7 +15,7 @@
 LICENSE="GPL-2"
 KEYWORDS=""
 SLOT="0"
-IUSE="build doc epydoc +ipc linguas_ru pypy2_0 python2 python3 selinux xattr"
+IUSE="build doc epydoc +ipc linguas_ru pypy python2 python3 selinux xattr"
 
 for _pyimpl in ${PYTHON_COMPAT[@]} ; do
 	IUSE+=" python_targets_${_pyimpl}"
@@ -25,16 +25,17 @@
 # Import of the io module in python-2.6 raises ImportError for the
 # thread module if threading is disabled.
 python_dep_ssl="python3? ( =dev-lang/python-3*[ssl] )
-	!pypy2_0? ( !python2? ( !python3? (
+	!pypy? ( !python2? ( !python3? (
 		|| ( >=dev-lang/python-2.7[ssl] dev-lang/python:2.6[threads,ssl] )
 	) ) )
-	pypy2_0? ( !python2? ( !python3? ( virtual/pypy:2.0[bzip2] ) ) )
+	pypy? ( !python2? ( !python3? ( virtual/pypy:0[bzip2] ) ) )
 	python2? ( !python3? ( || ( dev-lang/python:2.7[ssl] dev-lang/python:2.6[ssl,threads] ) ) )"
 python_dep="${python_dep_ssl//\[ssl\]}"
 python_dep="${python_dep//,ssl}"
 python_dep="${python_dep//ssl,}"
 
 python_dep="${python_dep}
+	python_targets_pypy? ( virtual/pypy:0 )
 	python_targets_pypy2_0? ( virtual/pypy:2.0 )
 	python_targets_python2_6? ( dev-lang/python:2.6 )
 	python_targets_python2_7? ( dev-lang/python:2.7 )
@@ -68,7 +69,7 @@
 	>=app-misc/pax-utils-0.1.17
 	selinux? ( || ( >=sys-libs/libselinux-2.0.94[python] <sys-libs/libselinux-2.0.94 ) )
 	xattr? ( kernel_linux? (
-		$(for python_impl in python{2_6,2_7,3_2} pypy2_0; do
+		$(for python_impl in python{2_6,2_7,3_2} pypy pypy2_0; do
 			echo "python_targets_${python_impl}? ( dev-python/pyxattr[python_targets_${python_impl}] )"
 		done) ) )
 	!<app-shells/bash-3.2_p17
@@ -119,6 +120,9 @@
 		python*)
 			python=${impl/_/.}
 			;;
+		pypy)
+			python=${impl}
+			;;
 		pypy*)
 			python=${impl/_/.}
 			python=${python/pypy/pypy-c}
@@ -163,15 +167,15 @@
 		ewarn "Both python2 and python3 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python3."
 	fi
-	if use pypy2_0 && use python3 ; then
-		ewarn "Both pypy2_0 and python3 USE flags are enabled, but only one"
+	if use pypy && use python3 ; then
+		ewarn "Both pypy and python3 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python3."
 	fi
-	if use pypy2_0 && use python2 ; then
-		ewarn "Both pypy2_0 and python2 USE flags are enabled, but only one"
+	if use pypy && use python2 ; then
+		ewarn "Both pypy and python2 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python2"
 	fi
-	if ! use pypy2_0 && ! use python2 && ! use python3 && \
+	if ! use pypy && ! use python2 && ! use python3 && \
 		! compatible_python_is_selected ; then
 		ewarn "Attempting to select a compatible default python interpreter"
 		local x success=0
@@ -200,8 +204,8 @@
 		EPYTHON=python3
 	elif use python2; then
 		EPYTHON=python2
-	elif use pypy2_0; then
-		EPYTHON=pypy-c2.0
+	elif use pypy; then
+		EPYTHON=pypy
 	fi
 }
 
@@ -240,8 +244,8 @@
 		set_shebang=python3
 	elif use python2; then
 		set_shebang=python2
-	elif use pypy2_0; then
-		set_shebang=pypy-c2.0
+	elif use pypy; then
+		set_shebang=pypy
 	fi
 	if [[ -n ${set_shebang} ]] ; then
 		einfo "Converting shebangs for ${set_shebang}..."



1.27                 sys-apps/portage/metadata.xml

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/metadata.xml?rev=1.27&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/metadata.xml?rev=1.27&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/metadata.xml?r1=1.26&r2=1.27

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/metadata.xml,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- metadata.xml	12 Dec 2013 05:04:43 -0000	1.26
+++ metadata.xml	6 Apr 2014 17:00:03 -0000	1.27
@@ -13,6 +13,7 @@
     <flag name="epydoc">Build html API documentation with epydoc.</flag>
     <flag name="ipc">Use inter-process communication between portage and running ebuilds.</flag>
     <flag name="less">Pull in sys-apps/less as default pager for etc-update.</flag>
+    <flag name="pypy">Use pypy as Python interpreter.</flag>
     <flag name="pypy2_0">Use pypy-c2.0 as Python interpreter.</flag>
     <flag name="python2">Use python2 as Python interpreter.</flag>
     <flag name="python3">Use python3 as Python interpreter.</flag>



1.2                  sys-apps/portage/portage-2.2.10.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild?r1=1.1&r2=1.2

Index: portage-2.2.10.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- portage-2.2.10.ebuild	26 Mar 2014 02:27:41 -0000	1.1
+++ portage-2.2.10.ebuild	6 Apr 2014 17:00:03 -0000	1.2
@@ -1,12 +1,12 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild,v 1.1 2014/03/26 02:27:41 dolsen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.2.10.ebuild,v 1.2 2014/04/06 17:00:03 mgorny Exp $
 
 # Require EAPI 2 since we now require at least python-2.6 (for python 3
 # syntax support) which also requires EAPI 2.
 EAPI=2
 PYTHON_COMPAT=(
-	pypy2_0
+	pypy pypy2_0
 	python3_2 python3_3 python3_4
 	python2_6 python2_7
 )
@@ -17,7 +17,7 @@
 LICENSE="GPL-2"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
 SLOT="0"
-IUSE="build doc epydoc +ipc linguas_ru pypy2_0 python2 python3 selinux xattr"
+IUSE="build doc epydoc +ipc linguas_ru pypy python2 python3 selinux xattr"
 
 for _pyimpl in ${PYTHON_COMPAT[@]} ; do
 	IUSE+=" python_targets_${_pyimpl}"
@@ -27,16 +27,17 @@
 # Import of the io module in python-2.6 raises ImportError for the
 # thread module if threading is disabled.
 python_dep_ssl="python3? ( =dev-lang/python-3*[ssl] )
-	!pypy2_0? ( !python2? ( !python3? (
+	!pypy? ( !python2? ( !python3? (
 		|| ( >=dev-lang/python-2.7[ssl] dev-lang/python:2.6[threads,ssl] )
 	) ) )
-	pypy2_0? ( !python2? ( !python3? ( virtual/pypy:2.0[bzip2] ) ) )
+	pypy? ( !python2? ( !python3? ( virtual/pypy:0[bzip2] ) ) )
 	python2? ( !python3? ( || ( dev-lang/python:2.7[ssl] dev-lang/python:2.6[ssl,threads] ) ) )"
 python_dep="${python_dep_ssl//\[ssl\]}"
 python_dep="${python_dep//,ssl}"
 python_dep="${python_dep//ssl,}"
 
 python_dep="${python_dep}
+	python_targets_pypy? ( virtual/pypy:0 )
 	python_targets_pypy2_0? ( virtual/pypy:2.0 )
 	python_targets_python2_6? ( dev-lang/python:2.6 )
 	python_targets_python2_7? ( dev-lang/python:2.7 )
@@ -71,7 +72,7 @@
 	>=app-misc/pax-utils-0.1.17
 	selinux? ( || ( >=sys-libs/libselinux-2.0.94[python] <sys-libs/libselinux-2.0.94 ) )
 	xattr? ( kernel_linux? (
-		$(for python_impl in python{2_6,2_7,3_2} pypy2_0; do
+		$(for python_impl in python{2_6,2_7,3_2} pypy pypy2_0; do
 			echo "python_targets_${python_impl}? ( dev-python/pyxattr[python_targets_${python_impl}] )"
 		done) ) )
 	!<app-shells/bash-3.2_p17
@@ -134,6 +135,9 @@
 		python*)
 			python=${impl/_/.}
 			;;
+		pypy)
+			python=${impl}
+			;;
 		pypy*)
 			python=${impl/_/.}
 			python=${python/pypy/pypy-c}
@@ -178,15 +182,15 @@
 		ewarn "Both python2 and python3 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python3."
 	fi
-	if use pypy2_0 && use python3 ; then
-		ewarn "Both pypy2_0 and python3 USE flags are enabled, but only one"
+	if use pypy && use python3 ; then
+		ewarn "Both pypy and python3 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python3."
 	fi
-	if use pypy2_0 && use python2 ; then
-		ewarn "Both pypy2_0 and python2 USE flags are enabled, but only one"
+	if use pypy && use python2 ; then
+		ewarn "Both pypy and python2 USE flags are enabled, but only one"
 		ewarn "can be in the shebangs. Using python2"
 	fi
-	if ! use pypy2_0 && ! use python2 && ! use python3 && \
+	if ! use pypy && ! use python2 && ! use python3 && \
 		! compatible_python_is_selected ; then
 		ewarn "Attempting to select a compatible default python interpreter"
 		local x success=0
@@ -215,8 +219,8 @@
 		EPYTHON=python3
 	elif use python2; then
 		EPYTHON=python2
-	elif use pypy2_0; then
-		EPYTHON=pypy-c2.0
+	elif use pypy; then
+		EPYTHON=pypy
 	fi
 }
 
@@ -254,8 +258,8 @@
 		set_shebang=python3
 	elif use python2; then
 		set_shebang=python2
-	elif use pypy2_0; then
-		set_shebang=pypy-c2.0
+	elif use pypy; then
+		set_shebang=pypy
 	fi
 	if [[ -n ${set_shebang} ]] ; then
 		einfo "Converting shebangs for ${set_shebang}..."



1.1397               sys-apps/portage/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.1397&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.1397&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?r1=1.1396&r2=1.1397

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v
retrieving revision 1.1396
retrieving revision 1.1397
diff -u -r1.1396 -r1.1397
--- ChangeLog	6 Apr 2014 15:32:44 -0000	1.1396
+++ ChangeLog	6 Apr 2014 17:00:03 -0000	1.1397
@@ -1,6 +1,11 @@
 # ChangeLog for sys-apps/portage
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.1396 2014/04/06 15:32:44 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.1397 2014/04/06 17:00:03 mgorny Exp $
+
+  06 Apr 2014; Michał Górny <mgorny@gentoo.org> metadata.xml,
+  portage-2.2.10.ebuild, portage-9999.ebuild:
+  Add support for PYTHON_TARGETS=pypy and replace USE=pypy2_0 w/ USE=pypy (since
+  the latter is more generic).
 
   06 Apr 2014; Michał Górny <mgorny@gentoo.org> portage-9999.ebuild:
   Switch to git-r3.





^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2014-04-06 17:00 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-04-06 17:00 [gentoo-commits] gentoo-x86 commit in sys-apps/portage: portage-9999.ebuild metadata.xml portage-2.2.10.ebuild ChangeLog Michal Gorny (mgorny)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox